rpmver.h File Reference
`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmds.h>`
Include dependency graph for rpmver.h:

Go to the source code of this file.

## Functions

int | rpmvercmp (const char *a, const char *b)
| Segmented string compare for version or release strings. More...
rpmver | rpmverParse (const char *evr)
| Parse rpm version handle from evr string. More...
rpmver | rpmverNew (const char *e, const char *v, const char *r)
| Create new rpm version handle from e, v, r components. More...
rpmver | rpmverFree (rpmver rv)
| Free rpm version handle. More...
uint32_t | rpmverEVal (rpmver rv)
const char * | rpmverE (rpmver rv)
const char * | rpmverV (rpmver rv)
const char * | rpmverR (rpmver rv)
char * | rpmverEVR (rpmver rv)
int | rpmverCmp (rpmver v1, rpmver v2)
| Compare two rpm version handles. More...
int | rpmverOverlap (rpmver v1, rpmsenseFlags f1, rpmver v2, rpmsenseFlags f2)
| Determine whether two versioned ranges overlap. More...